use "C:\Users\Luigi\Documents\My Dropbox\Curini-Martelli\PP\party politics1.dta", clear

# dataset used in A case of valence competition in elections: parties emphasis on corruption in electoral manifestos, 
# Party Politics, forthcoming by Luigi Curini, and Paolo Martelli (Party Politics)

# list of variables included in the dataset

# Depentend Variable
# prop: the proportion of quasi-sentences devoted to the per304 category (POLITICAL CORRUPTION) in a party's manifesto
# Indepedent variables:
# NEIGHBORHOOD: a variable that assumes a value of 1 when, at a given election time t, at least one of a partys first nearest neighbours is a party of different type; 
  # assumes a value of 2 when none of its first nearest neighbours is a party of different type but at least one of its second nearest neighbours is a party of different type; and so on
# DISTANCE: the absolute difference between the ideological scores of each party and that party of different type presenting the lowest value of NEIGHBORHOOD
# OTHERS_AVERAGE_EMPHASIS: a variable that measures for each party i at election-time t the average emphasis on the category per304 placed by all other parties competing in the same election
# SCANDALS: a dummy that takes the value of 1 every time a corruption or financial misconduct scandal involving political actors featured during an election campaign.
  # The data for constructing this variable derive from Kumlin and Easiassons analysis (2012)
# CABINET_PARTY: a dummy that assumes value 1 for governing parties and 0 otherwise (adopting the following definition for governing party: 
  # a party member of the last non-caretaker government, while a non-cabinet party is simply a party that does not belong to the incumbent cabinet
# CABINET_CONTINUITY: the number of consecutive legislatures during which a major party was present in cabinet
# ENPP: effective number of parliamentary parties in each election t 
# forthy, fifthy , sixthy,  seventhy,  eighty, ninenthy, twenthy: a dummy for each decade 
# code: a variable identifying the different countries

# Model 1
 xi: glm prop  DISTANCE  CABINET_PARTY  OTHERS_AVERAGE_EMPHASIS  CABINET_CONTINUITY  ENPP    ///
 forthy fifthy  sixthy eighty ninenthy twenthy  i.code, link(logit) family(binomial) robust cluster(party)
	
# Model 2	
 xi: glm prop  c.DISTANCE##c.NEIGHBORHOOD  CABINET_PARTY  OTHERS_AVERAGE_EMPHASIS  CABINET_CONTINUITY  ENPP    ///
 forthy fifthy  sixthy eighty ninenthy twenthy  i.code, link(logit) family(binomial) robust cluster(party)
 
# Model 3

 xi: glm prop  c.DISTANCE##c.NEIGHBORHOOD  CABINET_PARTY  SCANDALS  CABINET_CONTINUITY  ENPP    ///
 forthy fifthy  sixthy eighty ninenthy twenthy  i.code if no_report!=1, link(logit) family(binomial) robust cluster(party)

# Model 4 (alternative definition of cabinet party)

# CABINET_PARTY: a dummy that assumes value 1 for governing parties and 0 otherwise (adopting the following definition for governing party: 
  # non-cabinet parties are those that have not been a member of any cabinet during the legislative term preceding an observed election

use "C:\Users\Luigi\Documents\My Dropbox\Curini-Martelli\PP\party politics2.dta", clear

# Model 4	
 xi: glm prop  c.DISTANCE##c.NEIGHBORHOOD  CABINET_PARTY  OTHERS_AVERAGE_EMPHASIS  CABINET_CONTINUITY  ENPP    ///
 forthy fifthy  sixthy eighty ninenthy twenthy  i.code, link(logit) family(binomial) robust cluster(party)
	
# Model 5 (alternative definition of DISTANCE):

# DISTANCE: the pairwise (absolute) distance between each party and its nearest neighbour regardless of their governing or opposition party status

use "C:\Users\Luigi\Documents\My Dropbox\Curini-Martelli\PP\party politics3.dta", clear

 xi: glm prop  DISTANCE  CABINET_PARTY  OTHERS_AVERAGE_EMPHASIS  CABINET_CONTINUITY  ENPP    ///
 forthy fifthy  sixthy eighty ninenthy twenthy  i.code, link(logit) family(binomial) robust cluster(party)


